This switch board is part of a multi board build to create a MySensors based scene controller/light switch that fits inside a standard US single gang wall switch/outlet box.  This switch board has been designed to be able to build it into a number of different scene controller switch configurations.  You can create everything from an 8 button scene controller configuration to a single paddle style decora light switch configuration depending how you populate the board.  For the connectors to the main board assembly, I used male header pins on the 7 pin header socket and a female header socket on the 6 pin header.  This was done to prevent the board from being plugged in the wrong way on the main board.

### 8/4 button configuration:
To create the 8 button switch configuration, simply add switches to SW-1 through SW-8.  You can also include the optional LED indicators for each row.  To do this, add 3mm axial lead LEDs to LED1 through LED4.  You will also need to add some 100 to 200 ohm 1/8 watt resistors to R1 throguh R4.  The resistor value will be determined by your LED characteristics and specifications.  

This configuration can be used for 8 individual buttons such as in this configuration https://www.thingiverse.com/thing:2136094, or 4 on/off rocker switches such as in this configuration https://www.thingiverse.com/thing:2202434.  Both of the designs that I have posted on thingiverse include the LED indicators, but with some modification to the OpenSCAD files these indicators can be omitted if not needed.

### 4/2 button configuration:
For the 4 button configuration, simply add switches to SW-9 through SW-12.  The optional LED indicators can be populated into LED5 and LED6 to indicate status for each of the 2 rows, or if you prefer you can populate LED1 through LED4 to use them as a vertical bar style indicator.  When using LED5 and LED6, you will use R1 for LED5 and R2 for LED6.  For the 4 LED configuration, you will use R1 through R4 as stated above. I do not currently have a 3D printable 4 button version of this switch, but one could easily be created by modifying the OpenSCAD files for the 8 button version.  I do however have a 2 button rocker switch version https://www.thingiverse.com/thing:2219319.  

### Paddle switch configuration:
To create a vertical paddle type switch like you see in many decora style switches, simply add switches to SW-13 and SW-14.  The single indicator LED for this configuration is LED7 which uses the R1 resistor.

### Fastening the board to a switch plate:
To fasten the board to one of the may switch plate assemblies, I  ended up using M2x5mm screws with a tapered head because that was all I could find at the time.  The screws held, but the did seem to be a tad short.  It may work better if you have access to an M2x5mm pan head type screws.  Otherwise an M2x6 screw should also work.  The screws should be added to all 4 corners of the board for best hold.